> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve metric values

> Retrieve metric values. Required Permissions: `UpdateMonitoringSettings`



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/metricValues/v1/{modelMonitoringId}/{metric}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/metricValues/v1/{modelMonitoringId}/{metric}:
    get:
      tags:
        - Custom metrics
      summary: Retrieve metric values
      description: 'Retrieve metric values. Required Permissions: `UpdateMonitoringSettings`'
      operationId: retrieveMetricValues
      parameters:
        - description: ID of the monitored model
          in: path
          name: modelMonitoringId
          required: true
          schema:
            type: string
        - description: Name of the metric to retrieve
          in: path
          name: metric
          required: true
          schema:
            type: string
        - description: >-
            Timestamp to filter metrics by referenceTimestamp >=
            startingReferenceTimestampInclusive. Timestamp should follow the
            RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
          in: query
          name: startingReferenceTimestampInclusive
          required: true
          schema:
            type: string
        - description: >-
            Timestamp to filter metrics by referenceTimestamp <=
            endingReferenceTimestampInclusive. Timestamp should follow the
            RFC3339 format with timezone e.g. 2013-07-01T17:55:13-07:00
          in: query
          name: endingReferenceTimestampInclusive
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetricValuesEnvelopeV1'
          description: Success
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      security:
        - DominoApiKey: []
        - BearerAuthentication: []
components:
  schemas:
    MetricValuesEnvelopeV1:
      properties:
        metadata:
          $ref: '#/components/schemas/MetadataV1'
        metricValues:
          items:
            $ref: '#/components/schemas/MetricValueV1'
          type: array
      required:
        - metricValues
        - metadata
      type: object
    MetadataV1:
      properties:
        notices:
          description: Notices relating to the request
          items:
            type: string
          type: array
        requestId:
          type: string
      required:
        - requestId
        - notices
      type: object
    MetricValueV1:
      properties:
        referenceTimestamp:
          description: Timestamp associated with the metric log entry
          type: string
        tags:
          description: List of tags associated with the metric
          items:
            $ref: '#/components/schemas/MetricTagV1'
          type: array
        value:
          description: Value of the metric
          type: number
      required:
        - value
        - referenceTimestamp
        - tags
      type: object
    ErrorV1:
      properties:
        code:
          description: Machine-readable error code.
          example: NOT_FOUND
          type: string
        message:
          description: Human-readable description of the error.
          example: The requested HPC Job could not be found.
          type: string
      required:
        - message
      type: object
    MetricTagV1:
      properties:
        key:
          description: Key for the metric tag
          type: string
        value:
          description: Value for the metric tag
          type: string
      required:
        - key
        - value
      type: object
  responses:
    '400':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Bad Request
    '401':
      content:
        application/json:
          example:
            code: UNAUTHORIZED
            message: Authentication is required to access this resource.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Unauthorized - authentication is required or has failed.
    '403':
      content:
        application/json:
          example:
            code: FORBIDDEN
            message: You do not have permission to perform this action.
          schema:
            $ref: '#/components/schemas/ErrorV1'
      description: Forbidden - the caller lacks permission to perform this action.
    '404':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Not Found
    '500':
      content:
        application/json:
          schema:
            properties:
              error:
                type: string
            type: object
      description: Internal Server Error
  securitySchemes:
    DominoApiKey:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    BearerAuthentication:
      type: apiKey
      name: Authorization
      in: header

````

## Related topics

- [Custom Model Monitoring metrics](/cloud/platform-capabilities/features/monitoring/5-use-monitoring/2-custom-metrics.md)
- [Model Monitoring custom metrics Python SDK](/cloud/reference/api/model_monitoring/custom-metrics.md)
- [Log metric values](/api-reference/custom-metrics/log-metric-values.md)
- [Fetches runtime metrics for a Execution.](/api-reference/metrics/fetches-runtime-metrics-for-a-execution.md)
